Distribution EOLE - Scénario #35012

EOLE 2.9 : diagnose dit "Statut NTP => Désynchronisé"
17/11/2022 11:39 - Gilles Grandgérard

Statut:

Priorité:

Assigné a:

Catégorie:

Version cible:

Nouveau Début:

Normal Echéance:
% réalisé: 0%
Temps estimé: 0.00 heure
Temps passé: 0.00 heure

Description

Lors de la qualification 2.9.0 rc1, de nombreux tests ont signalé un pb de NTP dans diagnose.
(Ils ne testaient pas le NTP, le diagnose a été en partie ignoré)

par exemple, dans le cas d'un Amonecole :

e |'execution de :

root@addc:~# ntpstat localhost

unsynchronised

polling server every 64 s

e |le log addc ntp donne :

addc systemd([1l]: Starting Network Time Service...

addc ntpd[81l]: ntpd 4.2.8pl15@1.3728-0 Wed Feb 16 17:13:02 UTC 2022

addc ntpd[81]: Command line: /usr/sbin/ntpd -p /var/run/ntpd.pid -

addc ntpdf(s1l]: --------——"""-——"—-—"""—"—"————
addc ntpd ntp-4 is maintained by Network Time Foundation,
addc ntpd Inc. (NTF), a non-profit 501 (c) (3) public-benefit
addc ntpd corporation. Support and training for ntp-4 are

[81]
[81]
[81]
[81]
addc ntpd[81]: available at https://www.nwtime.org/support
addc ntpd[81]
[97]
[97]
[97]

addc ntpd proto: precision = 0.067 usec (-24)
addc ntpd basedate set to 2022-02-04
addc ntpd gps base set to 2022-02-06 (week 2196)

addc ntpd[97
operations currently block ntpd degrading service to all clients.
addc ntpd[97]: Listen and drop on 0 véewildcard [::]:123

(1

g —u 107:

addc ntpd[97]: Listen and drop on 1 v4wildcard 0.0.0.0:123

addc ntpd[97] Listen normally on 2 lo 127.0.0.1:123

addc ntpd[97]: Listen normally on 3 containers 192.0.2.56:123

addc ntpd[97] Listen normally on 4 ethl 10.3.2.5:123

addc ntpd[97]: Listening on routing socket on fd #21 for interface updates
addc ntpd[97]: start_kern_loop: ntp_loopfilter.c line 1133

Operation not permitted

nov. 17 10:31:59
nov. 17 10:32:00
) : Starting
nov. 17 10:32:00
114
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
]: MS-SNTP signd
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
nov. 17 10:32:00
ntp_adjtime:
nov. 17 10:32:00
not permitted
nov. 17 10:32:00
nov. 17 10:32:01
nov. 17 10:32:11
nov. 17 10:33:07
nov. 17 10:34:14
nov. 17 10:35:21
nov. 17 10:36:27
addc ntpd[97]: set_freqg: ntp_loopfilter.c line 1092: ntp_adjtime:
addc systemd[1l]: Started Network Time Service.

addc ntpd[97]: Soliciting pool server 83.97.81.249

addc ntpd[97]: step-systime: Operation not permitted

addc ntpd[97]: Soliciting pool server 51.254.221.169

addc ntpd[97]: Soliciting pool server 94.16.114.254

addc ntpd[97]: Soliciting pool server 85.113.55.224

addc ntpd[97]: Soliciting pool server 89.89.71.249

Operation
Soliciting pool server 154.51.12.220

set_freqg: ntp_loopfilter.c line 1092: ntp_adjtime: Ope

step-systime: Operation not permitted
1724 PPM exceeds tolerance 500 PPM
213.109.127.82
85.199.214.100
85.254.217.5
217.147.223.78
Soliciting pool 87.116.23.118
Soliciting pool 217.197.91.176
step-systime: Operation not permitted
Soliciting pool 95.216.218.15
pool 188.68.36.203
pool 85.93.216.115
pool 178.63.52.31
pool 45.32.4.67

pool 188.68.36.203
pool 3.64.117.201
pool 80.92.66.61
pool 185.244.195.159
pool 213.199.225.40
pool 5.34.248.224
pool 46.4.54.78
step-systime: Operation not permitted
local_clock: ntp_loopfilter.c line 817

frequency error
pool
pool
pool
pool

Soliciting server

Soliciting server
Soliciting server
Soliciting server
server

server

server
Soliciting server
Soliciting server
Soliciting server
Soliciting
Soliciting
Soliciting
Soliciting
Soliciting

server
server
server
server
server
Soliciting server
Soliciting server

Soliciting server

194.239.208.213
108.61.189.74
37.187.101.158

ntpd exiting on signal 15 (Terminated)
192.168.232.2 local addr 192.0.2.56 -> <null>

Soliciting pool server

Soliciting pool server

Soliciting pool server

: Stopping Network Time Service...
: ntp.service: Deactivated successfully.

: Stopped Network Time Service.

: Starting Network Time Service...

: ntpd 4.2.8pl5@1.3728-0 Wed Feb 16 17:13:02 UTC 2022

: Command line: /usr/sbin/ntpd -p /var/run/ntpd.pid —-g

ntp-4 is maintained by Network Time Foundation,
(NTF), a non-profit 501 (c) (3) public-benefit
corporation. Support and training for ntp-4 are

3 LN
: available at https://www.nwtime.org/support

proto: precision = 0.065 usec (-24)
basedate set to 2022-02-04
gps base set to 2022-02-06 (week 2196)

operations currently block ntpd degrading service to all clients.

vowildcard [::]:123
vdwildcard 0.0.0.0:123
lo 127.0.0.1:123
containers 192.0.2.56:123
ethl 10.3.2.5:123
Listening on routing socket on fd #21 for interface
: start_kern_loop: ntp_loopfilter.c line 1133

: Listen and drop on 0

Listen and drop on

1
Listen normally on 2
on 3
on 4

normally

Listen

: Listen
g normally

set_freqg: ntp_loopfilter.c line 1092
Started Network Time Service.

Soliciting pool server 185.117.82.71
step-systime:
Soliciting pool server 79.99.56.71
Soliciting pool server 51.89.85.68

Operation not permitted

nov. 17 10:37:32 addc ntpd[97]
nov. 17 10:38:16 addc ntpd[97]
not permitted
nov. 17 10:38:16 addc ntpd[97]:
nov. 17 10:38:16 addc ntpd[97]:
nov. 17 10:38:36 addc ntpd[97]:
nov. 17 10:39:41 addc ntpd[97]:
nov. 17 10:40:48 addc ntpd[97]:
nov. 17 10:41:52 addc ntpd[97]:
nov. 17 10:42:58 addc ntpd[97]:
nov. 17 10:44:04 addc ntpd[97]:
nov. 17 10:44:15 addc ntpd[97]:
nov. 17 10:45:09 addc ntpd[97]:
nov. 17 10:46:14 addc ntpd[97]:
nov. 17 10:47:18 addc ntpd[97]:
nov. 17 10:48:25 addc ntpd[97]:
nov. 17 10:49:30 addc ntpd[97]:
nov. 17 10:50:34 addc ntpd[97]:
nov. 17 10:51:41 addc ntpd[97]:
nov. 17 10:52:45 addc ntpd[97]:
nov. 17 10:53:52 addc ntpd[97]:
nov. 17 10:54:57 addc ntpd[97]:
nov. 17 10:56:02 addc ntpd[97]:
nov. 17 10:57:07 addc ntpd[97]:
nov. 17 10:57:08 addc ntpd[97]:
nov. 17 10:57:08 addc ntpd[97]:
ntp_adjtime: Operation not permitted
nov. 17 10:58:14 addc ntpd[97]:
nov. 17 10:59:19 addc ntpd[97]:
nov. 17 11:00:26 addc ntpd[97]:
nov. 17 11:00:44 addc ntpd[97]:
nov. 17 11:00:44 addc ntpd[97]:
nov. 17 11:00:44 addc systemd[1l]
nov. 17 11:00:44 addc systemd[1]
nov. 17 11:00:44 addc systemd[1]
nov. 17 11:04:57 addc systemd[1]
nov. 17 11:04:57 addc ntpd[3395]
) : Starting
nov. 17 11:04:57 addc ntpd[3395]
114
nov. 17 11:04:57 addc ntpd[3395]
nov. 17 11:04:57 addc ntpd[3395]
nov. 17 11:04:57 addc ntpd[3395]
nov. 17 11:04:57 addc ntpd[3395]
nov. 17 11:04:57 addc ntpd[3395]
nov. 17 11:04:57 addc ntpd[3395]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402
]: MS-SNTP signd
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
nov. 17 11:04:57 addc ntpd[3402]
ntp_adjtime: Operation not permitted
nov. 17 11:04:57 addc ntpd[3402]:
ntp_adjtime: Operation not permitted
nov. 17 11:04:57 addc systemd[1]:
nov. 17 11:04:58 addc ntpd[3402]
nov. 17 11:05:04 addc ntpd[3402]:
nov. 17 11:06:05 addc ntpd[3402]:
nov. 17 11:07:09 addc ntpd[3402]
nov. 17 11:08:15 addc ntpd[3402]
Soliciting pool server 83.98.155.30

ration

(1

-u 107:

updates
nov. 17 11:09:19 addc ntpd[3402]: Soliciting pool server 40.119.148.38

nov. 17 11:10:26 addc ntpd[3402]: Soliciting pool server 85.93.216.115

nov. 17 11:11:08 addc ntpd[3402]: set_freqg: ntp_loopfilter.c line 1092

ntp_adjtime: Operation not permitted

nov. 17 11:11:08 addc ntpd[3402]: step-systime: Operation not permitted

nov. 17 11:11:08 addc ntpd[3402]: frequency error 1924 PPM exceeds tolerance 500 PPM
nov. 17 11:11:31 addc ntpd[3402]: Soliciting pool server 86.108.190.23

nov. 17 11:12:35 addc ntpd[3402]: Soliciting pool server 185.11.138.90

Demandes liées:

Lié a Distribution EOLE - Tache #34982: Correction SCRIBE-T09b-006 - Distribu... Fermé 03/05/2021

Lié a Distribution EOLE - Tache #34901: Vérification AD-T00-000 - Mise en pla... Ne sera pas ré€3i05/2021

Lié a Distribution EOLE - Scénario #25242: Le démarrage du réseau doit attend... Terminé (Sprin®7/08/2018 26/10/2018
Historique

#1 - 17/11/2022 11:39 - Gilles Grandgérard
- Tracker changé de Demande a Scénario

- Début 17/11/2022 supprimé

- Release mis a EOLE 2.9.0

- Points de scénarios mis a 1.0

#2 - 17/11/2022 11:39 - Gilles Grandgérard
- Lié a Tache #34982: Correction SCRIBE-T09b-006 - Distribution de documents - Amonecole (2.9.0-RC1) ajouté

#3 - 17/11/2022 11:40 - Gilles Grandgérard
- Lié a Tache #34967: Correction PROXY-T20-000a - Préparation des machines Amon et Seth (2.9.0-RC1) ajouté

#4 - 17/11/2022 11:40 - Gilles Grandgérard
- Lié a Tache #34901: Vérification AD-T00-000 - Mise en place de I'architecture multi-DC (2.9.0-RC1) ajouté

#5 - 17/11/2022 11:41 - Gilles Grandgérard

- Lié a Scénario #25242: Le démarrage du réseau doit attendre que les adresses IP soient assignées avant de continuer AD-T10-001 - Test NTP sur
DC1 (2.7.0-b1) ajouté

#6 - 28/11/2022 16:35 - Joél Cuissinat
- Lié a Tache #34967: Correction PROXY-T20-000a - Préparation des machines Amon et Seth (2.9.0-RC1) supprimé
